import request from '@/utils/request'

// 查询审批记录列表
export function listSalaryapprove(query) {
  return request({
    url: '/system/salaryapprove/list',
    method: 'get',
    params: query
  })
}

// 查询审批记录详细
export function getSalaryapprove(id) {
  return request({
    url: '/system/salaryapprove/' + id,
    method: 'get'
  })
}

// 新增审批记录
export function addSalaryapprove(data) {
  return request({
    url: '/system/salaryapprove',
    method: 'post',
    data: data
  })
}

// 修改审批记录
export function updateSalaryapprove(data) {
  return request({
    url: '/system/salaryapprove',
    method: 'put',
    data: data
  })
}

// 删除审批记录
export function delSalaryapprove(id) {
  return request({
    url: '/system/salaryapprove/' + id,
    method: 'delete'
  })
}

// 导出审批记录
export function exportSalaryapprove(query) {
  return request({
    url: '/system/salaryapprove/export',
    method: 'get',
    params: query
  })
}